Name:           maven-assembly-plugin
Version:        3.1.0
Release:        6
Summary:        Maven Assembly Plugin
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-assembly-plugin/

Source0:        http://archive.apache.org/dist/maven/plugins/maven-assembly-plugin-3.1.0-source-release.zip
Patch0:         0001-override-abstract-method.patch

BuildRequires:  maven-local mvn(org.codehaus.plexus:plexus-utils) mvn(org.codehaus.plexus:plexus-archiver)
BuildRequires:  mvn(commons-codec:commons-codec) mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  mvn(org.apache.maven:maven-archiver) mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.apache.maven:maven-artifact) mvn(org.codehaus.plexus:plexus-io)
BuildRequires:  mvn(org.apache.maven:maven-core) mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api) mvn(org.apache.maven.shared:maven-common-artifact-filters)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins:pom:) mvn(org.apache.maven.shared:file-management)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations) mvn(org.codehaus.plexus:plexus-interpolation)
BuildRequires:  mvn(org.apache.maven.shared:maven-artifact-transfer) mvn(org.apache.maven.shared:maven-shared-io)
BuildRequires:  mvn(org.apache.maven.shared:maven-filtering) mvn(com.google.code.findbugs:jsr305) mvn(commons-io:commons-io)
BuildRequires:  mvn(org.codehaus.modello:modello-maven-plugin)
BuildArch:      noarch

%description
About Maven's plug-in, which is used to create source files, classes, dependencies, etc.

%package        help
Summary:        Help package for maven-assembly-plugin
Provides:       %{name}-javadoc = %{version}-%{release}
Obsoletes:      %{name}-javadoc < %{version}-%{release}

%description    help
This package contains the API documentation for maven-assembly-plugin.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files help -f .mfiles-javadoc
%license NOTICE

%changelog
* Fri Jan 14 2022 Ge Wang <wangge20@huawei.com> - 3.1.0-6
- Override abstract method due to base class Archiver add methods

* Tue  Feb 18 2020 wangye <wangye54@huawei.com> - 3.1.0-5
- Package init
